import { CircleMessageId, IbcMessageId, Signer, TokenId, TxHash, WormholeMessageId } from "@wormhole-foundation/sdk-definitions";
export type AttestationId = WormholeMessageId | CircleMessageId | IbcMessageId;
export declare enum TransferState {
    Failed = -1,
    Created = 1,
    SourceInitiated = 2,
    SourceFinalized = 3,
    Attested = 4,
    DestinationInitiated = 5,
    DestinationFinalized = 6
}
export type TransferQuote = {
    sourceToken: {
        token: TokenId;
        amount: bigint;
    };
    destinationToken: {
        token: TokenId;
        amount: bigint;
    };
    relayFee?: {
        token: TokenId;
        amount: bigint;
    };
    destinationNativeGas?: bigint;
};
export interface WormholeTransfer {
    getTransferState(): TransferState;
    initiateTransfer(signer: Signer): Promise<TxHash[]>;
    fetchAttestation(timeout?: number): Promise<AttestationId[]>;
    completeTransfer(signer: Signer): Promise<TxHash[]>;
}
//# sourceMappingURL=wormholeTransfer.d.ts.map